#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int f(int N, int L)
{
    int unos;
    for(int i = 1; i<=N; i++)
    {
        cin>>unos;
        if(unos<=L)
            return i;
    }
    return -1;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N,L;
    cin>>N>>L;
    cout<<f(N,L);
}